Rensei docs

Ensure the signed-in user has a Codex OAuth requester identity.

Ensure the signed-in user has a Codex OAuth requester identity. - Rensei REST API operation reference.

POST
/api/cli/codex/registration

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Request Body

application/json
  1. body

Response Body

The reusable requester identity and OAuth resource binding.

application/json
  1. response
registrationId*string
actorHandle*string
oauthResource*string
Formaturi
scopes*array<string>
Example Request
curl -X POST 'https://app.rensei.ai/api/cli/codex/registration' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "registrationId": "string",  "actorHandle": "string",  "oauthResource": "http://example.com",  "scopes": [    "string"  ]}